Results 1 to 3 of 3
  1. #1

    i try to insrall server by pods in my swift project but it gave issue cant install

    i try to insrall server by pods in my swift project but it gave issue cant install

  2. #2
    ```
    ArgumentError - invalid byte sequence in UTF-8
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:77:in `==='
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:77:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:33:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:132:in `write_dictionary_key_value_pair'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:149:in `block in write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:148:in `each'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:148:in `write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:112:in `write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:76:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:33:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:101:in `write_array_element'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:121:in `block in write_array'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:120:in `each'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:120:in `write_array'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:84:in `write_array'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:74:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:33:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:132:in `write_dictionary_key_value_pair'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:149:in `block in write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:148:in `each'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:148:in `write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:112:in `write_dictionary'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer.rb:76:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:33:in `write_object'
    /Library/Ruby/Gems/2.0.0/gems/nanaimo-0.2.3/lib/nanaimo/writer/xml.rb:13:in `write'
    /Library/Ruby/Gems/2.0.0/gems/xcodeproj-1.4.2/lib/xcodeproj/plist.rb:55:in `block in write_to_path'
    /Library/Ruby/Gems/2.0.0/gems/xcodeproj-1.4.2/lib/xcodeproj/plist.rb:53:in `open'
    /Library/Ruby/Gems/2.0.0/gems/xcodeproj-1.4.2/lib/xcodeproj/plist.rb:53:in `write_to_path'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/generator/acknowledgements/plist.rb:9:in `save_as'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:187:in `block in create_acknowledgements'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:183:in `each'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:183:in `create_acknowledgements'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:33:in `block in install!'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/user_interface.rb:142:in `message'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator/aggregate_target_installer.rb:14:in `install!'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator.rb:160:in `block (2 levels) in install_libraries'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator.rb:158:in `each'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator.rb:158:in `block in install_libraries'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/user_interface.rb:142:in `message'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator.rb:152:in `install_libraries'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer/xcode/pods_project_generator.rb:64:in `generate!'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer.rb:179:in `block in generate_pods_project'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/user_interface.rb:64:in `section'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer.rb:178:in `generate_pods_project'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/installer.rb:115:in `install!'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/command/install.rb:37:in `run'
    /Library/Ruby/Gems/2.0.0/gems/claide-1.0.1/lib/claide/command.rb:334:in `run'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/lib/cocoapods/command.rb:52:in `run'
    /Library/Ruby/Gems/2.0.0/gems/cocoapods-1.2.0/bin/pod:55:in `<top (required)>'
    /usr/local/bin/pod:23:in `load'
    /usr/local/bin/pod:23:in `<main>'
    ```


    ――― TEMPLATE END ―――――――――――――――――――――――――――――――――――――――――――――――――― ――――――――――――――


    [!] Oh no, an error occurred.


    Search for existing GitHub issues similar to yours:
    https://github.com/CocoaPods/CocoaPo...-8&type=Issues


    If none exists, create a ticket, with the template displayed above, on:
    https://github.com/CocoaPods/CocoaPods/issues/new


    Be sure to first read the contributing guide for details on how to properly submit a ticket:
    https://github.com/CocoaPods/CocoaPo...ONTRIBUTING.md


    Don't forget to anonymize any private data!


    Looking for related issues on cocoapods/cocoapods...
    - invalid byte sequence in US-ASCII
    https://github.com/CocoaPods/CocoaPods/issues/1036 [closed] [9 comments]
    08 Jun 2017


    - ArgumentError - invalid byte sequence in UTF-8
    https://github.com/CocoaPods/CocoaPods/issues/4813 [closed] [5 comments]
    16 Feb 2017


    - Pod install & pod --verbose getting failed
    https://github.com/CocoaPods/CocoaPods/issues/6297 [closed] [3 comments]
    18 Jun 2017


    and 13 more at:
    https://github.com/cocoapods/cocoapo...&utf8=✓
    mohameds-mbp:Lightstreamer-example-Chat-client-ios-swift-master tournedo2003$

  3. #3
    Administrator
    Join Date
    Feb 2012
    Location
    Bologna, Italy
    Posts
    93
    Hello,

    which version of the pod are you trying to install?

 

 

Similar Threads

  1. Error when trying to run install script
    By oliverwetterau in forum General
    Replies: 2
    Last Post: October 7th, 2015, 01:13 PM
  2. install on xServe?
    By jonscot in forum General
    Replies: 1
    Last Post: May 19th, 2008, 10:57 AM
  3. Replies: 1
    Last Post: February 22nd, 2008, 10:23 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 09:47 PM.